Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGLengthList

All Known Implementing Classes:
  AbstractSVGLengthList

public interface SVGLengthList

Method Summary
`SVGLength` | `appendItem(SVGLength newItem)`
`void` | `clear()`
`SVGLength` | `getItem(int index)`
`int` | `getNumberOfItems()`
`SVGLength` | `initialize(SVGLength newItem)`
`SVGLength` | `insertItemBefore(SVGLength newItem, int index)`
`SVGLength` | `removeItem(int index)`
`SVGLength` | `replaceItem(SVGLength newItem, int index)`

Method Detail

### getNumberOfItems

    public int getNumberOfItems()

### clear

    public void clear()
               throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### initialize

    public SVGLength initialize(SVGLength newItem)
                         throws org.w3c.dom.DOMException,
                                SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### getItem

    public SVGLength getItem(int index)
                      throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### insertItemBefore

    public SVGLength insertItemBefore(SVGLength newItem,
                                      int index)
                               throws org.w3c.dom.DOMException,
                                      SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### replaceItem

    public SVGLength replaceItem(SVGLength newItem,
                                 int index)
                          throws org.w3c.dom.DOMException,
                                 SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### removeItem

    public SVGLength removeItem(int index)
                         throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### appendItem

    public SVGLength appendItem(SVGLength newItem)
                         throws org.w3c.dom.DOMException,
                                SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.